#include "CoTeXNode.h"
#include <assert.h>

void CoTeXNode::destroyChildren () {
  if (lChild != NULL) {
    lChild->destroyChildren ();
    delete lChild;
  }
  if (rChild != NULL) {
    rChild->destroyChildren ();
    delete rChild;
  }
}
      

void CoTeXNode::setLeftChild (CoTeXNode * n) {
  lChild = n;
}

void CoTeXNode::setRightChild (CoTeXNode * n) {
  rChild = n;
}

void CoTeXNode::setFather (CoTeXNode * n) {
  father = n;
}

void CoTeXNode::setName (QString newName) {
  assert (!newName.isNull () && !newName.isEmpty ());
  name = newName;
}
